List frame extractions for a file
curl --request GET \
--url https://api.cloudglue.dev/v1/files/{file_id}/frames \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/files/{file_id}/frames"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/files/{file_id}/frames', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"frame_extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": 1,
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"frame_extraction_config": {
"strategy": "uniform",
"uniform_config": {
"frames_per_second": 15.05,
"max_width": 2080
},
"thumbnails_config": {
"enable_frame_thumbnails": true
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"frame_count": 1
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Frames
List File Frame Extractions
List all frame extractions for a specific file
GET
/
files
/
{file_id}
/
frames
List frame extractions for a file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the file
Query Parameters
Number of frame extractions to return
Required range:
1 <= x <= 100Offset from the start of the list
Required range:
x >= 0Response
List of frame extractions
Object type, always 'list'
Available options:
list Array of frame extraction objects
Show child attributes
Show child attributes
Total number of frame extractions matching the query
Number of items returned in this response
Offset from the start of the list
⌘I